<?php
/**
 * Register and enqueue a stylesheets and scripts in the Frontend.
 *
 * @see WP Enqueue Scripts Docs (https://developer.wordpress.org/reference/hooks/admin_enqueue_scripts/)
 * @todo Replace only if you're creating your own Plugin
 * @todo DEALER_SEARCH_TOOL - Find all and replace text
 * @todo dst - Find all and replace text
 */

// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) exit;

/**
 * Enqueue a CSS in the WordPress Admin.
 */
function dst_admin_style() {
        wp_register_style( 
          'dst-admin-style', // ID for Enqueuing
          DEALER_SEARCH_TOOL_URL. 'assets/css/admin/style.css', // define( 'DEALER_SEARCH_TOOL_URL', plugin_dir_url( __FILE__ ) )
          false, // shows at header styles
          '1.0.0' // version
        );
        wp_enqueue_style( 'dst-admin-style' ); // Enqueuing this CSS file
}
add_action( 'admin_enqueue_scripts', 'dst_admin_style' );

/**
 * Enqueue a JS in the WordPress Admin.
 */
function dst_admin_script() {
    wp_register_script( 
      'dst-admin-script', // ID for Enqueuing
      DEALER_SEARCH_TOOL_URL. 'assets/js/admin/script.js', // define( 'DEALER_SEARCH_TOOL_URL', plugin_dir_url( __FILE__ ) )
      array('jquery'), // jQuery Dependency
      '1.0.0', 
      true ); // shows at the footer scripts
    wp_enqueue_script( 'dst-admin-script' ); // Enqueuing this CSS file
}
// add_action( 'admin_enqueue_scripts', 'dst_admin_script' );

